# std Namespace Reference

## Typedefs

typedef basic_string< char, char_traits< char >, allocator < char > > | string

## Functions

synfig::Vector::value_type | abs (const synfig::Vector &rhs)

## Typedef Documentation

typedef basic_string<char,char_traits<char>,allocator<char> > std::string

## Function Documentation

synfig::Vector::value_type std::abs | ( | const synfig::Vector & | rhs | ) | `[inline]`

References synfig::Vector::mag().

Referenced by Layer_Shade::accelerated_render(), RadialBlur::accelerated_render(), Plant::accelerated_render(), Noise::accelerated_render(), Layer_Freetype::accelerated_render(), synfig::Layer_Shape::accelerated_render(), Halftone3::accelerated_render(), Halftone2::accelerated_render(), CurveWarp::accelerated_render(), Circle::accelerated_render(), Blur_Layer::accelerated_render(), Layer_Bevel::accelerated_render(), blendfunc_DIFFERENCE(), synfig::ValueNode_Duplicate::count_steps(), gif::end_frame(), RootFinder::find_all_roots(), Mandelbrot::get_color(), Layer_Bevel::get_full_bounding_rect(), synfig::Time::get_string(), laguer(), Halftone::mask(), synfig::ValueNode_Reciprocal::operator()(), synfig::ValueNode_Pow::operator()(), Blur::operator()(), synfig::ValueBase::operator==(), synfig::Gradient::proximity(), synfig::Time::round(), synfig::RendDesc::set_br(), synfig::RendDesc::set_tl(), and synfig::ValueNode_Duplicate::step().